#ifndef __ZSET_HH__
#define __ZSET_HH__

#include "pudag.hh"
#include "nodeattr.hh"

class ZSet {
		
public:
  ZSet();
  ~ZSet();
		
  NodeAttr *insert(vertex_set_t & _z, indeg_t & _indeg,
		   vertex_set_t & _alive);
  NodeAttr *get_node_attr(vertex_set_t & _z);

private:
  typedef std::map< vertex_set_t, NodeAttr * > z_map_t;
  z_map_t z_map;

};

#endif //__ZSET_HH__
